# timetable.h File Reference

Functions related to time tabling. More...

`#include "date_type.h"`

Go to the source code of this file.

## Functions

void | ShowTimetableWindow (const Vehicle *v)
void | UpdateVehicleTimetable (Vehicle *v, bool travelling)
void | SetTimetableParams (int param1, int param2, Ticks ticks)
| Set the timetable parameters in the format as described by the setting.

## Detailed Description

Functions related to time tabling.

Definition in file timetable.h.

## Function Documentation

void SetTimetableParams | ( | int | param1,
|  | int | param2,
|  | Ticks | ticks |
| ) |  |  |

Set the timetable parameters in the format as described by the setting.

Parameters:

  | param1 | the first DParam to fill
  | param2 | the second DParam to fill
  | ticks | the number of ticks to 'draw'

Definition at line 61 of file timetable_gui.cpp.

References _settings_client, DAY_TICKS, ClientSettings::gui, SetDParam(), and GUISettings::timetable_in_ticks.

Referenced by DrawOrderString().